distutils question

Mathew Yeates myeates at jpl.nasa.gov
Thu Oct 26 20:03:31 CDT 2006


Hi
I am trying to compile a 64 bit version of numpy with gcc. When 
building, numpy tries to figure out the lapack/atlas version.
Up to this point, everything has been compiled with gcc -m64 and all is 
groovy. But, when an attempt is made to get the atlas version, the link 
fails because the command "gcc _configtest.o -L/u/fuego0b/myeates/lib 
-llapack -lcblas -latlas -o _configtest"
is being run (Note the lack of -m64)

This generates an error
ld: fatal: file _configtest.o: wrong ELF class: ELFCLASS64
ld: fatal: File processing errors. No output written to _configtest
collect2: ld returned 1 exit status
ld: fatal: file _configtest.o: wrong ELF class: ELFCLASS64
ld: fatal: File processing errors. No output written to _configtest
collect2: ld returned 1 exit status
LinkError: LinkErro...us 1',),)


Anybody know how I can force gcc -m64 when linking? I already have the 
environment variables
CFLAGS=-m64
LDFLAGS=-64

Mathew




-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642




More information about the Numpy-discussion mailing list